## compose-deploy
A simple script to update the docker compose file on a remote host and restart the containers.

I created this script to suit my personal requirements, which were:
* authenticate with the remote host using ssh keys
* use a git repository to store the file and pull on the host
* having one docker compose file for all the services

If you want to use it, create a .env file and add the following

The host of the remote server

`CD_HOST=1.1.1.1`

The username for the remote server

`CD_USER=asher`

To run the script, simply execute the script, it uses [gum](https://github.com/charmbracelet/gum) for an interactive prompt for the commit message

`./redeploy.sh`

Make sure your private key is in the repo and please, please make sure it is in your gitignore.